#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 9. General Libraries

- Prev

  fftw-3.3.10

- Next

  GLib-2.78.4

- Up
- Home

# fmt-10.2.1

## Introduction to fmt

The fmt package is an open-source formatting library providing a fast and safe alternative to C stdio and C++ iostreams.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://github.com/fmtlib/fmt/archive/refs/tags/10.2.1/fmt-10.2.1.tar.gz

- Download MD5 sum: dc09168c94f90ea890257995f2c497a5

- Download size: 836 KB

- Estimated disk space required: 4.5 MB (add 40 MB for tests)

- Estimated build time: less than 0.1 SBU (add 0.2 SBU for tests)

## Installation of fmt

Install fmt by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr     \
          -DCMAKE_INSTALL_LIBDIR=/usr/lib \
          -DBUILD_SHARED_LIBS=ON          \
          -DFMT_TEST=OFF                  \
          -G Ninja ..                     &&
    ninja

If you have enabled tests, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-DFMT_TEST=OFF`: This switch initializes the package tests. Set to ON if you wish to run tests.

## Contents

Installed Programs: None
Installed Libraries: libfmt.so
Installed Directories: /usr/include/fmt and /usr/lib/cmake/fmt

- Prev

  fftw-3.3.10

- Next

  GLib-2.78.4

- Up
- Home